apiVersion: v1
kind: Service
metadata:
  name: edgeconnect-coder-tcp
  labels:
    run: edgeconnect-coder
spec:
  type: LoadBalancer
  ports:
    - name: tcp80
      protocol: TCP
      port: 80
      targetPort: 80
  selector:
    run: edgeconnect-coder
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: edgeconnect-coder-deployment
  #namespace: gitea
spec:
  replicas: 1
  selector:
    matchLabels:
      run: edgeconnect-coder
  template:
    metadata:
      labels:
        run: edgeconnect-coder
        mexDeployGen: kubernetes-basic
    spec:
      volumes:
      containers:
        - name: edgeconnect-coder
          image: edp.buildth.ing/devfw-cicd/fibonacci_pipeline:edge_platform_demo
          imagePullPolicy: Always
          ports:
            - containerPort: 80
              protocol: TCP
